DefaultLogger
Date: 2019-10-22

org.jmol.util

## Class DefaultLogger

- java.lang.Object
- - org.jmol.util.DefaultLogger

- All Implemented Interfaces:
    LoggerInterface

      public class DefaultLogger
      extends java.lang.Object
      implements LoggerInterface

  Default implementation of the logger.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String txt)` Writes a log at DEBUG level.
    `void` | `error(java.lang.String txt)` Writes a log at ERROR level.
    `void` | `errorEx(java.lang.String txt, java.lang.Throwable e)` Writes a log at ERROR level with detail on exception.
    `void` | `fatal(java.lang.String txt)` Writes a log at FATAL level.
    `void` | `fatalEx(java.lang.String txt, java.lang.Throwable e)` Writes a log at ERROR level with detail on exception.
    `void` | `info(java.lang.String txt)` Writes a log at INFO level.
    `protected void` | `log(java.io.PrintStream out, int level, java.lang.String txt, java.lang.Throwable e)` Method to output a log.
    `void` | `warn(java.lang.String txt)` Writes a log at WARN level.
    `void` | `warnEx(java.lang.String txt, java.lang.Throwable e)` Writes a log at WARN level with detail on exception.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLogger

          public DefaultLogger()

  - ### Method Detail

    - #### log

          protected void log(java.io.PrintStream out,
                             int level,
                             java.lang.String txt,
                             java.lang.Throwable e)

      Method to output a log.
      Parameters:
        `out` - Output stream.
        `level` - Log level.
        `txt` - Text to log.
        `e` - Exception.

    - #### debug

          public void debug(java.lang.String txt)

      Description copied from interface: `LoggerInterface`
      Writes a log at DEBUG level.
      Specified by:
        `debug` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.

    - #### info

          public void info(java.lang.String txt)

      Description copied from interface: `LoggerInterface`
      Writes a log at INFO level.
      Specified by:
        `info` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.

    - #### warn

          public void warn(java.lang.String txt)

      Description copied from interface: `LoggerInterface`
      Writes a log at WARN level.
      Specified by:
        `warn` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.

    - #### warnEx

          public void warnEx(java.lang.String txt,
                             java.lang.Throwable e)

      Description copied from interface: `LoggerInterface`
      Writes a log at WARN level with detail on exception.
      Specified by:
        `warnEx` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.
        `e` - Exception.

    - #### error

          public void error(java.lang.String txt)

      Description copied from interface: `LoggerInterface`
      Writes a log at ERROR level.
      Specified by:
        `error` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.

    - #### errorEx

          public void errorEx(java.lang.String txt,
                              java.lang.Throwable e)

      Description copied from interface: `LoggerInterface`
      Writes a log at ERROR level with detail on exception.
      Specified by:
        `errorEx` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.
        `e` - Exception.

    - #### fatal

          public void fatal(java.lang.String txt)

      Description copied from interface: `LoggerInterface`
      Writes a log at FATAL level.
      Specified by:
        `fatal` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.

    - #### fatalEx

          public void fatalEx(java.lang.String txt,
                              java.lang.Throwable e)

      Description copied from interface: `LoggerInterface`
      Writes a log at ERROR level with detail on exception.
      Specified by:
        `fatalEx` in interface `LoggerInterface`
      Parameters:
        `txt` - String to write.
        `e` - Exception.